searchData={"items":[{"type":"module","title":"OpenFeature","doc":"Module for OpenFeature Flag Evaluation API","ref":"OpenFeature.html"},{"type":"function","title":"OpenFeature.clear_providers/0","doc":"Clears all stored providers.","ref":"OpenFeature.html#clear_providers/0"},{"type":"function","title":"OpenFeature.get_client/1","doc":"Creates a client for a given domain.\n\nIf no domain is provided, the default domain will be used.\nIf no provider is set for the domain, the default provider will be used.","ref":"OpenFeature.html#get_client/1"},{"type":"function","title":"OpenFeature.get_global_context/0","doc":"Gets the global context.","ref":"OpenFeature.html#get_global_context/0"},{"type":"function","title":"OpenFeature.get_provider/1","doc":"Gets the provider for a given domain. If no domain is provided, the default domain will be used.","ref":"OpenFeature.html#get_provider/1"},{"type":"function","title":"OpenFeature.set_global_context/1","doc":"Sets the global context.","ref":"OpenFeature.html#set_global_context/1"},{"type":"function","title":"OpenFeature.set_provider/2","doc":"Sets the provider for a given domain.\n\nThe provider is validated and is initialized with the global context.\nIf a provider is already set for the domain, it will be replaced and shutdown.\nIf the provider is the same as the one already set, it will not be replaced.\nIf the provider is invalid or fails to be initialized, an error will be returned.\nIf no domain is provided, the default domain will be used.","ref":"OpenFeature.html#set_provider/2"},{"type":"function","title":"OpenFeature.shutdown/0","doc":"Shuts down all providers.","ref":"OpenFeature.html#shutdown/0"},{"type":"module","title":"OpenFeature.Client","doc":"This module defines the `Client` struct and functions for managing the client's context and callbacks.","ref":"OpenFeature.Client.html"},{"type":"function","title":"OpenFeature.Client.add_event_handler/3","doc":"Adds an event handler for the client.\n\nIf the event type is the same as the client's provider state, the handler will be executed immediately.","ref":"OpenFeature.Client.html#add_event_handler/3"},{"type":"function","title":"OpenFeature.Client.add_hooks/2","doc":"Adds hooks to the end of the list of current client hooks.","ref":"OpenFeature.Client.html#add_hooks/2"},{"type":"function","title":"OpenFeature.Client.clear_handlers/1","doc":"Clears all event handlers for the client.","ref":"OpenFeature.Client.html#clear_handlers/1"},{"type":"function","title":"OpenFeature.Client.clear_hooks/1","doc":"Clears all hooks for the client.","ref":"OpenFeature.Client.html#clear_hooks/1"},{"type":"function","title":"OpenFeature.Client.get_boolean_details/4","doc":"Returns the evaluation details for a given client flag with boolean value.","ref":"OpenFeature.Client.html#get_boolean_details/4"},{"type":"function","title":"OpenFeature.Client.get_boolean_value/4","doc":"Returns a boolean value for a given client flag.","ref":"OpenFeature.Client.html#get_boolean_value/4"},{"type":"function","title":"OpenFeature.Client.get_context/1","doc":"Retrieves the context of the client.","ref":"OpenFeature.Client.html#get_context/1"},{"type":"function","title":"OpenFeature.Client.get_hooks/1","doc":"Retrieves the list of hooks for the client.","ref":"OpenFeature.Client.html#get_hooks/1"},{"type":"function","title":"OpenFeature.Client.get_map_details/4","doc":"Returns the evaluation details for a given client flag with map value.","ref":"OpenFeature.Client.html#get_map_details/4"},{"type":"function","title":"OpenFeature.Client.get_map_value/4","doc":"Returns a map value for a given client flag.","ref":"OpenFeature.Client.html#get_map_value/4"},{"type":"function","title":"OpenFeature.Client.get_number_details/4","doc":"Returns the evaluation details for a given client flag with number value.","ref":"OpenFeature.Client.html#get_number_details/4"},{"type":"function","title":"OpenFeature.Client.get_number_value/4","doc":"Returns a number value for a given client flag.","ref":"OpenFeature.Client.html#get_number_value/4"},{"type":"function","title":"OpenFeature.Client.get_string_details/4","doc":"Returns the evaluation details for a given client flag with string value.","ref":"OpenFeature.Client.html#get_string_details/4"},{"type":"function","title":"OpenFeature.Client.get_string_value/4","doc":"Returns a string value for a given client flag.","ref":"OpenFeature.Client.html#get_string_value/4"},{"type":"function","title":"OpenFeature.Client.list_handlers/2","doc":"Lists all event handlers for the client.","ref":"OpenFeature.Client.html#list_handlers/2"},{"type":"function","title":"OpenFeature.Client.remove_event_handler/3","doc":"Removes an event handler for the client.","ref":"OpenFeature.Client.html#remove_event_handler/3"},{"type":"function","title":"OpenFeature.Client.set_context/2","doc":"Sets the context for the client.","ref":"OpenFeature.Client.html#set_context/2"},{"type":"type","title":"OpenFeature.Client.options/0","doc":"","ref":"OpenFeature.Client.html#t:options/0"},{"type":"type","title":"OpenFeature.Client.t/0","doc":"","ref":"OpenFeature.Client.html#t:t/0"},{"type":"module","title":"OpenFeature.EvaluationDetails","doc":"OpenFeature EvaluationDetails struct.","ref":"OpenFeature.EvaluationDetails.html"},{"type":"type","title":"OpenFeature.EvaluationDetails.t/0","doc":"","ref":"OpenFeature.EvaluationDetails.html#t:t/0"},{"type":"module","title":"OpenFeature.Hook","doc":"OpenFeature Hook struct","ref":"OpenFeature.Hook.html"},{"type":"type","title":"OpenFeature.Hook.after_hook/0","doc":"","ref":"OpenFeature.Hook.html#t:after_hook/0"},{"type":"type","title":"OpenFeature.Hook.before/0","doc":"","ref":"OpenFeature.Hook.html#t:before/0"},{"type":"type","title":"OpenFeature.Hook.error/0","doc":"","ref":"OpenFeature.Hook.html#t:error/0"},{"type":"type","title":"OpenFeature.Hook.finally/0","doc":"","ref":"OpenFeature.Hook.html#t:finally/0"},{"type":"type","title":"OpenFeature.Hook.hook_hints/0","doc":"","ref":"OpenFeature.Hook.html#t:hook_hints/0"},{"type":"type","title":"OpenFeature.Hook.t/0","doc":"","ref":"OpenFeature.Hook.html#t:t/0"},{"type":"module","title":"OpenFeature.HookContext","doc":"OpenFeature HookContext struct.","ref":"OpenFeature.HookContext.html"},{"type":"type","title":"OpenFeature.HookContext.t/0","doc":"","ref":"OpenFeature.HookContext.html#t:t/0"},{"type":"behaviour","title":"OpenFeature.Provider","doc":"This module provides the behaviour that must be implemented by all providers.\nAlso includes helper functions to be used with providers.","ref":"OpenFeature.Provider.html"},{"type":"function","title":"OpenFeature.Provider.equal?/2","doc":"Checks if two providers are equal based on their name, domain, and state.","ref":"OpenFeature.Provider.html#equal?/2"},{"type":"function","title":"OpenFeature.Provider.initialize/3","doc":"Initializes the provider and emits the `:ready` event if successful.\nIf an error occurs, emits the `:error` event.","ref":"OpenFeature.Provider.html#initialize/3"},{"type":"callback","title":"OpenFeature.Provider.initialize/3","doc":"Initializes the provider with the domain and context, and sets the provider's state to `:ready`.","ref":"OpenFeature.Provider.html#c:initialize/3"},{"type":"callback","title":"OpenFeature.Provider.resolve_boolean_value/4","doc":"Resolves the boolean value of a flag based on the key, default value, and context.","ref":"OpenFeature.Provider.html#c:resolve_boolean_value/4"},{"type":"callback","title":"OpenFeature.Provider.resolve_map_value/4","doc":"Resolves the map value of a flag based on the key, default value, and context.","ref":"OpenFeature.Provider.html#c:resolve_map_value/4"},{"type":"callback","title":"OpenFeature.Provider.resolve_number_value/4","doc":"Resolves the number value of a flag based on the key, default value, and context.","ref":"OpenFeature.Provider.html#c:resolve_number_value/4"},{"type":"callback","title":"OpenFeature.Provider.resolve_string_value/4","doc":"Resolves the string value of a flag based on the key, default value, and context.","ref":"OpenFeature.Provider.html#c:resolve_string_value/4"},{"type":"function","title":"OpenFeature.Provider.resolve_value/5","doc":"Resolves the value of a flag based on the key, default value, and context.","ref":"OpenFeature.Provider.html#resolve_value/5"},{"type":"function","title":"OpenFeature.Provider.shutdown/1","doc":"Shuts down the provider and catches any errors that may occur.","ref":"OpenFeature.Provider.html#shutdown/1"},{"type":"callback","title":"OpenFeature.Provider.shutdown/1","doc":"Shuts down the provider and cleans up any resources.","ref":"OpenFeature.Provider.html#c:shutdown/1"},{"type":"function","title":"OpenFeature.Provider.validate_provider/1","doc":"Validates if the provider implements the required functions.","ref":"OpenFeature.Provider.html#validate_provider/1"},{"type":"type","title":"OpenFeature.Provider.error/0","doc":"","ref":"OpenFeature.Provider.html#t:error/0"},{"type":"type","title":"OpenFeature.Provider.result/0","doc":"","ref":"OpenFeature.Provider.html#t:result/0"},{"type":"type","title":"OpenFeature.Provider.success/0","doc":"","ref":"OpenFeature.Provider.html#t:success/0"},{"type":"type","title":"OpenFeature.Provider.t/0","doc":"","ref":"OpenFeature.Provider.html#t:t/0"},{"type":"module","title":"OpenFeature.Provider.InMemory","doc":"OpenFeature in-memory provider. This provider is used for testing purposes.\nThe flags are stored in memory and can be manipulated during tests.","ref":"OpenFeature.Provider.InMemory.html"},{"type":"module","title":"Example - OpenFeature.Provider.InMemory","doc":"```elixir\n%OpenFeature.Provider.InMemory{flags: %{\n  \"flag_key\" => %{\n    disabled: false,\n    default_variant: \"default\",\n    variants: %{\n      \"default\" => \"default_value\",\n      \"variant1\" => \"variant1_value\",\n      \"variant2\" => \"variant2_value\"\n    }\n  }\n}}\n```","ref":"OpenFeature.Provider.InMemory.html#module-example"},{"type":"function","title":"OpenFeature.Provider.InMemory.initialize/3","doc":"","ref":"OpenFeature.Provider.InMemory.html#initialize/3"},{"type":"function","title":"OpenFeature.Provider.InMemory.resolve_boolean_value/4","doc":"","ref":"OpenFeature.Provider.InMemory.html#resolve_boolean_value/4"},{"type":"function","title":"OpenFeature.Provider.InMemory.resolve_map_value/4","doc":"","ref":"OpenFeature.Provider.InMemory.html#resolve_map_value/4"},{"type":"function","title":"OpenFeature.Provider.InMemory.resolve_number_value/4","doc":"","ref":"OpenFeature.Provider.InMemory.html#resolve_number_value/4"},{"type":"function","title":"OpenFeature.Provider.InMemory.resolve_string_value/4","doc":"","ref":"OpenFeature.Provider.InMemory.html#resolve_string_value/4"},{"type":"function","title":"OpenFeature.Provider.InMemory.shutdown/1","doc":"","ref":"OpenFeature.Provider.InMemory.html#shutdown/1"},{"type":"module","title":"OpenFeature.Provider.NoOp","doc":"OpenFeature no-op provider, this is the default provider.\nThis provider always returns the default value.","ref":"OpenFeature.Provider.NoOp.html"},{"type":"module","title":"Example - OpenFeature.Provider.NoOp","doc":"```elixir\n%OpenFeature.Provider.NoOp{}\n```","ref":"OpenFeature.Provider.NoOp.html#module-example"},{"type":"function","title":"OpenFeature.Provider.NoOp.initialize/3","doc":"","ref":"OpenFeature.Provider.NoOp.html#initialize/3"},{"type":"function","title":"OpenFeature.Provider.NoOp.resolve_boolean_value/4","doc":"","ref":"OpenFeature.Provider.NoOp.html#resolve_boolean_value/4"},{"type":"function","title":"OpenFeature.Provider.NoOp.resolve_map_value/4","doc":"","ref":"OpenFeature.Provider.NoOp.html#resolve_map_value/4"},{"type":"function","title":"OpenFeature.Provider.NoOp.resolve_number_value/4","doc":"","ref":"OpenFeature.Provider.NoOp.html#resolve_number_value/4"},{"type":"function","title":"OpenFeature.Provider.NoOp.resolve_string_value/4","doc":"","ref":"OpenFeature.Provider.NoOp.html#resolve_string_value/4"},{"type":"function","title":"OpenFeature.Provider.NoOp.shutdown/1","doc":"","ref":"OpenFeature.Provider.NoOp.html#shutdown/1"},{"type":"module","title":"OpenFeature.ResolutionDetails","doc":"OpenFeature ResolutionDetails struct.","ref":"OpenFeature.ResolutionDetails.html"},{"type":"type","title":"OpenFeature.ResolutionDetails.t/0","doc":"","ref":"OpenFeature.ResolutionDetails.html#t:t/0"},{"type":"module","title":"OpenFeature.Types","doc":"OpenFeature types.","ref":"OpenFeature.Types.html"},{"type":"type","title":"OpenFeature.Types.context/0","doc":"","ref":"OpenFeature.Types.html#t:context/0"},{"type":"type","title":"OpenFeature.Types.domain/0","doc":"","ref":"OpenFeature.Types.html#t:domain/0"},{"type":"type","title":"OpenFeature.Types.error_code/0","doc":"","ref":"OpenFeature.Types.html#t:error_code/0"},{"type":"type","title":"OpenFeature.Types.event_details/0","doc":"","ref":"OpenFeature.Types.html#t:event_details/0"},{"type":"type","title":"OpenFeature.Types.event_handler/0","doc":"","ref":"OpenFeature.Types.html#t:event_handler/0"},{"type":"type","title":"OpenFeature.Types.event_type/0","doc":"","ref":"OpenFeature.Types.html#t:event_type/0"},{"type":"type","title":"OpenFeature.Types.flag_metadata/0","doc":"","ref":"OpenFeature.Types.html#t:flag_metadata/0"},{"type":"type","title":"OpenFeature.Types.flag_type/0","doc":"","ref":"OpenFeature.Types.html#t:flag_type/0"},{"type":"type","title":"OpenFeature.Types.flag_value/0","doc":"","ref":"OpenFeature.Types.html#t:flag_value/0"},{"type":"type","title":"OpenFeature.Types.provider_status/0","doc":"","ref":"OpenFeature.Types.html#t:provider_status/0"},{"type":"type","title":"OpenFeature.Types.reason/0","doc":"","ref":"OpenFeature.Types.html#t:reason/0"},{"type":"extras","title":"README","doc":"[![Version](https://img.shields.io/hexpm/v/open_feature.svg)](https://hex.pm/packages/open_feature)\n[![Docs](https://img.shields.io/badge/docs-hexpm-blue.svg)](https://hexdocs.pm/open_feature/)\n[![License](https://img.shields.io/hexpm/l/req.svg)](https://github.com/ejscunha/elixir-open-feature-sdk/blob/main/LICENSE.md)\n[![CI](https://github.com/ejscunha/elixir-open-feature-sdk/actions/workflows/ci.yml/badge.svg)](https://github.com/ejscunha/elixir-open-feature-sdk/actions/workflows/ci.yml)\n\n<!-- markdownlint-disable MD033 -->\n \n   \n     \n     \n   \n \n\n OpenFeature Elixir SDK","ref":"readme.html"},{"type":"extras","title":"👋 Hey there! Thanks for checking out the OpenFeature Elixir SDK - README","doc":"","ref":"readme.html#hey-there-thanks-for-checking-out-the-openfeature-elixir-sdk"},{"type":"extras","title":"What is OpenFeature? - README","doc":"[OpenFeature][openfeature-website] is an open standard that provides a vendor-agnostic, community-driven API for feature flagging that works with your favorite feature flag management tool.","ref":"readme.html#what-is-openfeature"},{"type":"extras","title":"Why standardize feature flags? - README","doc":"Standardizing feature flags unifies tools and vendors behind a common interface which avoids vendor lock-in at the code level. Additionally, it offers a framework for building extensions and integrations and allows providers to focus on their unique value proposition.","ref":"readme.html#why-standardize-feature-flags"},{"type":"extras","title":"🔧 Components - README","doc":"This repository contains the Elixir SDK.\nFor details, including API documentation, see the respective [Hex docs](https://hexdocs.pm/open_feature/).","ref":"readme.html#components"},{"type":"extras","title":"💻 Instalation - README","doc":"The package can be installed by adding `open_feature` to your list of dependencies\nin `mix.exs`:\n\n```elixir\ndef deps do\n  [{:open_feature, \"~> 0.1\"}]\nend\n```","ref":"readme.html#instalation"},{"type":"extras","title":"📓 Usage - README","doc":"```elixir\nprovider = %OpenFeature.Provider.InMemory{\n  flags: %{\n    \"flag_key\" => %{\n      disabled: false,\n      default_variant: \"default\",\n      variants: %{\n        \"default\" => \"default_value\"\n      }\n    }\n  }\n}\nOpenFeature.set_provider(\"domain\", provider)\nclient = OpenFeature.get_client(\"domain\")\nOpenFeature.Client.get_string_value(client, \"flag_key\", \"default\")\n```","ref":"readme.html#usage"},{"type":"extras","title":"⭐️ Support the project - README","doc":"- Give this repo a ⭐️!\n- Contribute to this repo\n- Follow us social media:\n  - Twitter: [@openfeature](https://twitter.com/openfeature)\n  - LinkedIn: [OpenFeature](https://www.linkedin.com/company/openfeature/)\n- Join us on [Slack](https://cloud-native.slack.com/archives/C0344AANLA1)\n- For more check out our [community page](https://openfeature.dev/community/)","ref":"readme.html#support-the-project"},{"type":"extras","title":"📜 License - README","doc":"[Apache License 2.0](LICENSE)\n\n[openfeature-website]: https://openfeature.dev","ref":"readme.html#license"},{"type":"extras","title":"LICENSE","doc":"Apache License\n                           Version 2.0, January 2004\n                        http://www.apache.org/licenses/\n\n   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n   1. Definitions.\n\n      \"License\" shall mean the terms and conditions for use, reproduction,\n      and distribution as defined by Sections 1 through 9 of this document.\n\n      \"Licensor\" shall mean the copyright owner or entity authorized by\n      the copyright owner that is granting the License.\n\n      \"Legal Entity\" shall mean the union of the acting entity and all\n      other entities that control, are controlled by, or are under common\n      control with that entity. For the purposes of this definition,\n      \"control\" means (i) the power, direct or indirect, to cause the\n      direction or management of such entity, whether by contract or\n      otherwise, or (ii) ownership of fifty percent (50%) or more of the\n      outstanding shares, or (iii) beneficial ownership of such entity.\n\n      \"You\" (or \"Your\") shall mean an individual or Legal Entity\n      exercising permissions granted by this License.\n\n      \"Source\" form shall mean the preferred form for making modifications,\n      including but not limited to software source code, documentation\n      source, and configuration files.\n\n      \"Object\" form shall mean any form resulting from mechanical\n      transformation or translation of a Source form, including but\n      not limited to compiled object code, generated documentation,\n      and conversions to other media types.\n\n      \"Work\" shall mean the work of authorship, whether in Source or\n      Object form, made available under the License, as indicated by a\n      copyright notice that is included in or attached to the work\n      (an example is provided in the Appendix below).\n\n      \"Derivative Works\" shall mean any work, whether in Source or Object\n      form, that is based on (or derived from) the Work and for which the\n      editorial revisions, annotations, elaborations, or other modifications\n      represent, as a whole, an original work of authorship. For the purposes\n      of this License, Derivative Works shall not include works that remain\n      separable from, or merely link (or bind by name) to the interfaces of,\n      the Work and Derivative Works thereof.\n\n      \"Contribution\" shall mean any work of authorship, including\n      the original version of the Work and any modifications or additions\n      to that Work or Derivative Works thereof, that is intentionally\n      submitted to Licensor for inclusion in the Work by the copyright owner\n      or by an individual or Legal Entity authorized to submit on behalf of\n      the copyright owner. For the purposes of this definition, \"submitted\"\n      means any form of electronic, verbal, or written communication sent\n      to the Licensor or its representatives, including but not limited to\n      communication on electronic mailing lists, source code control systems,\n      and issue tracking systems that are managed by, or on behalf of, the\n      Licensor for the purpose of discussing and improving the Work, but\n      excluding communication that is conspicuously marked or otherwise\n      designated in writing by the copyright owner as \"Not a Contribution.\"\n\n      \"Contributor\" shall mean Licensor and any individual or Legal Entity\n      on behalf of whom a Contribution has been received by Licensor and\n      subsequently incorporated within the Work.\n\n   2. Grant of Copyright License. Subject to the terms and conditions of\n      this License, each Contributor hereby grants to You a perpetual,\n      worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n      copyright license to reproduce, prepare Derivative Works of,\n      publicly display, publicly perform, sublicense, and distribute the\n      Work and such Derivative Works in Source or Object form.\n\n   3. Grant of Patent License. Subject to the terms and conditions of\n      this License, each Contributor hereby grants to You a perpetual,\n      worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n      (except as stated in this section) patent license to make, have made,\n      use, offer to sell, sell, import, and otherwise transfer the Work,\n      where such license applies only to those patent claims licensable\n      by such Contributor that are necessarily infringed by their\n      Contribution(s) alone or by combination of their Contribution(s)\n      with the Work to which such Contribution(s) was submitted. If You\n      institute patent litigation against any entity (including a\n      cross-claim or counterclaim in a lawsuit) alleging that the Work\n      or a Contribution incorporated within the Work constitutes direct\n      or contributory patent infringement, then any patent licenses\n      granted to You under this License for that Work shall terminate\n      as of the date such litigation is filed.\n\n   4. Redistribution. You may reproduce and distribute copies of the\n      Work or Derivative Works thereof in any medium, with or without\n      modifications, and in Source or Object form, provided that You\n      meet the following conditions:\n\n      (a) You must give any other recipients of the Work or\n          Derivative Works a copy of this License; and\n\n      (b) You must cause any modified files to carry prominent notices\n          stating that You changed the files; and\n\n      (c) You must retain, in the Source form of any Derivative Works\n          that You distribute, all copyright, patent, trademark, and\n          attribution notices from the Source form of the Work,\n          excluding those notices that do not pertain to any part of\n          the Derivative Works; and\n\n      (d) If the Work includes a \"NOTICE\" text file as part of its\n          distribution, then any Derivative Works that You distribute must\n          include a readable copy of the attribution notices contained\n          within such NOTICE file, excluding those notices that do not\n          pertain to any part of the Derivative Works, in at least one\n          of the following places: within a NOTICE text file distributed\n          as part of the Derivative Works; within the Source form or\n          documentation, if provided along with the Derivative Works; or,\n          within a display generated by the Derivative Works, if and\n          wherever such third-party notices normally appear. The contents\n          of the NOTICE file are for informational purposes only and\n          do not modify the License. You may add Your own attribution\n          notices within Derivative Works that You distribute, alongside\n          or as an addendum to the NOTICE text from the Work, provided\n          that such additional attribution notices cannot be construed\n          as modifying the License.\n\n      You may add Your own copyright statement to Your modifications and\n      may provide additional or different license terms and conditions\n      for use, reproduction, or distribution of Your modifications, or\n      for any such Derivative Works as a whole, provided Your use,\n      reproduction, and distribution of the Work otherwise complies with\n      the conditions stated in this License.\n\n   5. Submission of Contributions. Unless You explicitly state otherwise,\n      any Contribution intentionally submitted for inclusion in the Work\n      by You to the Licensor shall be under the terms and conditions of\n      this License, without any additional terms or conditions.\n      Notwithstanding the above, nothing herein shall supersede or modify\n      the terms of any separate license agreement you may have executed\n      with Licensor regarding such Contributions.\n\n   6. Trademarks. This License does not grant permission to use the trade\n      names, trademarks, service marks, or product names of the Licensor,\n      except as required for reasonable and customary use in describing the\n      origin of the Work and reproducing the content of the NOTICE file.\n\n   7. Disclaimer of Warranty. Unless required by applicable law or\n      agreed to in writing, Licensor provides the Work (and each\n      Contributor provides its Contributions) on an \"AS IS\" BASIS,\n      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\n      implied, including, without limitation, any warranties or conditions\n      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A\n      PARTICULAR PURPOSE. You are solely responsible for determining the\n      appropriateness of using or redistributing the Work and assume any\n      risks associated with Your exercise of permissions under this License.\n\n   8. Limitation of Liability. In no event and under no legal theory,\n      whether in tort (including negligence), contract, or otherwise,\n      unless required by applicable law (such as deliberate and grossly\n      negligent acts) or agreed to in writing, shall any Contributor be\n      liable to You for damages, including any direct, indirect, special,\n      incidental, or consequential damages of any character arising as a\n      result of this License or out of the use or inability to use the\n      Work (including but not limited to damages for loss of goodwill,\n      work stoppage, computer failure or malfunction, or any and all\n      other commercial damages or losses), even if such Contributor\n      has been advised of the possibility of such damages.\n\n   9. Accepting Warranty or Additional Liability. While redistributing\n      the Work or Derivative Works thereof, You may choose to offer,\n      and charge a fee for, acceptance of support, warranty, indemnity,\n      or other liability obligations and/or rights consistent with this\n      License. However, in accepting such obligations, You may act only\n      on Your own behalf and on Your sole responsibility, not on behalf\n      of any other Contributor, and only if You agree to indemnify,\n      defend, and hold each Contributor harmless for any liability\n      incurred by, or claims asserted against, such Contributor by reason\n      of your accepting any such warranty or additional liability.\n\n   END OF TERMS AND CONDITIONS\n\n   APPENDIX: How to apply the Apache License to your work.\n\n      To apply the Apache License to your work, attach the following\n      boilerplate notice, with the fields enclosed by brackets \"[]\"\n      replaced with your own identifying information. (Don't include\n      the brackets!)  The text should be enclosed in the appropriate\n      comment syntax for the file format. We also recommend that a\n      file or class name and description of purpose be included on the\n      same \"printed page\" as the copyright notice for easier\n      identification within third-party archives.\n\n   Copyright [yyyy] [name of copyright owner]\n\n   Licensed under the Apache License, Version 2.0 (the \"License\");\n   you may not use this file except in compliance with the License.\n   You may obtain a copy of the License at\n\n       http://www.apache.org/licenses/LICENSE-2.0\n\n   Unless required by applicable law or agreed to in writing, software\n   distributed under the License is distributed on an \"AS IS\" BASIS,\n   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n   See the License for the specific language governing permissions and\n   limitations under the License.","ref":"license.html"},{"type":"extras","title":"CHANGELOG","doc":"","ref":"changelog.html"},{"type":"extras","title":"v0.1.0 (2024-07-29) - CHANGELOG","doc":"- Initial release","ref":"changelog.html#v0-1-0-2024-07-29"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}